   
      SUBROUTINE R_NK_tot_swap(N,K,Matr_input,Matr_output)
C
C	########################################################################
C
C	Valerio Cappellini                                         February 2007
C
C     USES :: None
C     COMPATIBILITY :: Fortran 90
C     VERSION :: 1.0.0
C
C     R_NK_tot_swap.f :: it take as input the 2 INTEGER numbers N and K and a 
C                 NxKxNxK REAL matrix M and return as output the KxNxKxN REAL 
C                 matrix "TOTAL SWAP of M"
C
C	########################################################################
C
$	debug
	implicit none
       
      INTEGER N,K
	REAL Matr_input(N,K,N,K), Matr_output(K,N,K,N)
	
      Matr_output=RESHAPE(Matr_input,(/K,N,K,N/),(/0.,0./),(/2,1,4,3/))
	
      RETURN
      END